URL structure
Supported methods and overview
GET- used to retrieve information about the currently authenticated Covata user*.PUT- used to modify the account details of the currently authenticated Covata user.
The
GET method takes no parameters.Detailed description
This API endpoint serves a number of purposes:- Retrieves a detailed set of information about the currently authenticated Covata user*.
- Modifies the account details of the currently authenticated Covata user.
Note: These account details can also be modified through the My Account feature of the Safe Share web application.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide) and conditions:- Originator
- Collaborator
- Ad hoc - a Covata user with this role can call the
GETmethod only. - System administrator
- User administrator
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Content-Type: application/json
Optional parameters
The following parameters can also be sent in the body of the PUT request, each as individual members of a JSON object:- firstName - .
- lastName - .
- otherName - .
- mobileNumber - . Example ():
{}
Returns
A JSON-formatted response containing the following members:- externalUserId - .
- email - .
- firstName - .
- lastName - .
- otherName - .
- mobileNumber - .
-
plan - .
- name - .
- description - .
- quota - .
- notificationFrequency - .
- lastLoginIp - .
- lastLoginClient - .
- id - .
- lastLoginTime - .
- accountType - .
- roles - . Example (response from …):

